import sys
import time
from datetime import datetime
from datetime import timedelta

print('hello world')
delta = timedelta(seconds=0.7)
tout = datetime.now() + delta

i=0
while 1:
    time.sleep(0.1)
    i = i+1
    if datetime.now() > tout:
        break

print(f'i={i}')
